import React from "react";
import { Footer } from "./parts/Footer";
import Header from "./parts/Header";
type Props = {
  header?: React.ReactElement;
  children: React.ReactNode;
  footer?: React.ReactElement;
  className?: string;
};

function BaseLayout({ header, footer, children, className }: Props) {
  return (
    <div className={className}>
      <Header />

      <main>{children}</main>

      <Footer />
    </div>
  );
}

export default BaseLayout;
